QGIS Application - Bug report #17853
Duplicate Feature and Duplicate Feature (redigizited) operate on multiple features
2018-01-15 05:40 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: David Signer

Category: Actions

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25748
Description

If | use the new Duplicate Feature or Duplicate Feature (redigitized) actions, and click on overlapping features, all are duplicated. | think
either the actions should be renamed to "Duplicate Features", or just the first encountered feature should be duplicated (even better,
prioritize selected features if there's any selection on the layer).

Associated revisions

Revision 8839e2fc - 2018-10-18 02:43 PM - David Signer

all features option in menu

means this can be controlled by the user

fixes #17853

History

#1 - 2018-01-22 07:43 PM - Denis Rouzaud

- Category set to Actions

- Assignee set to David Signer

#2 - 2018-01-25 12:02 PM - David Signer

This is concerning not only the duplicate actions but any action listed in the feature action menu of the canvas.

So | guess for all actions just the first feature should be handled. Right?

#3 - 2018-09-13 08:23 AM - David Signer

David Signer wrote:

This is concerning not only the duplicate actions but any action listed in the feature action menu of the canvas.

So | guess for all actions just the first feature should be handled. Right?

| just checked out this bug again. | understand that it's not expected to duplicate the whole stack of features at the same time. But because it's for all
actions I'm not sure how to handle it. If it should only select the feature on the top, should this be done for all actions or only the duplicate feature action? |
think it would make sense to have it general. But aren't there actions where we expect to do it on all the features? And if we make it individually, how should

we handle it for manually created actions - having a configuration on that?
#4 - 2018-09-21 01:18 AM - Nyall Dawson

In that case, maybe go the easy approach of renaming to "Duplicate Features"?

#5 - 2018-09-21 03:06 PM - David Signer

Thanks for your feedback.

I'm still thinking about. Because on redigitized duplication it only takes one feature. But what seems to be correct here, is actually the bug. Because the
action is started for every feature on the "stack". But every action overwrites the MapTool of the action before, and so it digitizes and duplicates only the
one on top of the stack. | would not avoid that, because I'm sure we don't want to redigitize a duplication of the whole stack, because we don't know which
one is the currently digitized.

So | see some options:

1. Rename "Duplicate feature" to "Duplicate features" and keep the "Duplicate feature and digitize" in singular. This would be a quick fix. Not realy nice, but
at least less confusing for the user.

2. I make sure that it only takes the one on the top for the duplication-actions. So they are different to all the other actions. But probably that's not that bad.
3. I make sure that it only takes the one on the top for all the actions. But like | mentioned before, the user possibly expects to have the action on all the

features, so | wouldn't do that.

#6 - 2018-10-26 09:35 AM - David Signer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|8839e2fc0cb48e54289949fe40b59¢cb62951f91c.
